Overview | Project | Class | Tree | Deprecated | Index

Nestopia Core API

FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD

## api
Struct Nes::Api::Cartridge::Profile::Dump

struct Nes::Api::Cartridge::Profile::Dump

Dump context.

Inner Classes, Typedefs, and Enums
`enum` | `Nes::Api::Cartridge::Profile::Dump::State` Dump state type.

Field Summary
`std::wstring` | `by` Dumped by.
`std::wstring` | `date` Dump date.
`Nes::Api::Cartridge::Profile::Dump::State` | `state` Dump state.

Constructor Summary
`Dump()`

Field Detail

### by

    public std::wstring by;

  Dumped by.

### date

    public std::wstring date;

  Dump date.

### state

    public Nes::Api::Cartridge::Profile::Dump::State state;

  Dump state.

Constructor Detail

### Dump

    public Dump() throw();

Overview | Project | Class | Tree | Deprecated | Index

Nestopia Core API

FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD